# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
BuildRequires: unzip
# END SourceDeps(oneline)
%define oldname python-execnet
%if (! 0%{?rhel}) || 0%{?rhel} > 6
%global with_python3 1
%global python3_version %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3])")
%endif
%if 0%{?rhel} && 0%{?rhel} < 6
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global srcname execnet

Name:           python-module-execnet
Version:        1.1
Release:        alt2_3
Summary:        Elastic Python Deployment
Group:          Development/Python
License:        GPLv2+ and MIT
URL:            http://codespeak.net/execnet
Source0:        http://pypi.python.org/packages/source/e/%{srcname}/%{srcname}-%{version}.zip
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Requires:       python-module-setuptools
BuildRequires:  python-module-pytest
BuildRequires:  python-module-sphinx
BuildRequires:  /bin/ps
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-pytest
%endif # with_python3
# execnet was separated from pylib at that point
Conflicts:      python-py < 1.1.0
Source44: import.info
# drop
%filter_from_requires /^python....win32event./d
%filter_from_requires /^python....win32evtlogutil./d
%filter_from_requires /^python....win32service./d
%filter_from_requires /^python....win32serviceutil./d
%filter_from_requires /^python....servicemanager./d
%filter_from_requires /^python....register./d
%filter_from_requires /^python....rlcompleter2./d



%description
execnet provides a share-nothing model with channel-send/receive
communication for distributing execution across many Python
interpreters across version, platform and network barriers. It has a
minimal and fast API targetting the following uses:

 * distribute tasks to (many) local or remote CPUs
 * write and deploy hybrid multi-process applications
 * write scripts to administer multiple environments


%if 0%{?with_python3}
%package -n python3-module-execnet
Summary:        Elastic Python Deployment
Group:          Development/Python
Requires:       python3-module-distribute


%description -n python3-module-execnet
execnet provides a share-nothing model with channel-send/receive
communication for distributing execution across many Python
interpreters across version, platform and network barriers. It has a
minimal and fast API targetting the following uses:

 * distribute tasks to (many) local or remote CPUs
 * write and deploy hybrid multi-process applications
 * write scripts to administer multiple environments
%endif # with_python3


%prep
%setup -q -n %{srcname}-%{version}

# remove shebangs and fix permissions
find . -type f -a \( -name '*.py' -o -name 'py.*' \) \
   -exec sed -i '1{/^#!/d}' {} \; \
   -exec chmod u=rw,go=r {} \;

%if 0%{?with_python3}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif # with_python3


%build
%{__python} setup.py build
make -C doc html

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif # with_python3


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif # with_python3

# remove hidden file
rm doc/_build/html/.buildinfo


%files
%{python_sitelibdir_noarch}/%{srcname}*
%doc README.txt LICENSE CHANGELOG
%doc doc/_build/html


%if 0%{?with_python3}
%files -n python3-module-execnet
%{python3_sitelibdir_noarch}/%{srcname}*
%doc README.txt LICENSE CHANGELOG
%doc doc/_build/html
%endif # with_python3


%changelog
* Mon Apr 01 2013 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt2_3
- rebuild to get rid of unmets

* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_3
- initial fc import

